"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
var Logger = /** @class */ (function () {
    function Logger() {
    }
    Object.defineProperty(Logger, "debug", {
        get: function () {
            return Logger.level > 2 ? console.debug : Logger.nullWriter;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Logger, "log", {
        get: function () {
            return Logger.level > 1 ? console.log : Logger.nullWriter;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Logger, "info", {
        get: function () {
            return Logger.level > 0 ? console.info : Logger.nullWriter;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Logger, "error", {
        get: function () {
            return Logger.level >= 0 ? console.error : Logger.nullWriter;
        },
        enumerable: false,
        configurable: true
    });
    Logger.nullWriter = function (message) {
        var optionalParams = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            optionalParams[_i - 1] = arguments[_i];
        }
        // Null writer no action required
    };
    Logger.level = 0;
    return Logger;
}());
exports.Logger = Logger;
